using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Pluto.Api;

namespace Pluto.MSL.Api
{
    public partial class HiddenMainForm : Form
    {
        /// <summary>
        /// Expose the Pluto Object for the API
        /// </summary>
        internal IMSLSpecific fMSLSpecific = null;
        internal IAuthentication fAuthentication = null;
        internal IBilling fBilling = null;

        public HiddenMainForm()
        {
            InitializeComponent();
        }

        private void HiddenMainForm_Load(object sender, EventArgs e)
        {
            fMSLSpecific = CoMSLSpecific.Create(binMessage, ClientChannel);
            fAuthentication = CoAuthentication.Create(binMessage, ClientChannel);
            fBilling = CoBilling.Create(binMessage, ClientChannel);

            MSLSpecific_AsyncProxy dd = new MSLSpecific_AsyncProxy(binMessage, ClientChannel);
            //dd.BeginGetExternalPort(
            //Co
        }
    }
}
